OpenNMS API 1.2.9

## org.opennms.web.outage.filter
Class ServiceFilter

    java.lang.Object
      org.opennms.web.outage.filter.ServiceFilter

All Implemented Interfaces:
  Filter

public class ServiceFilter
extends java.lang.Object
implements Filter

Encapsulates all service filtering functionality.

Field Summary
`protected int` `serviceId`
`static java.lang.String` `TYPE`

Constructor Summary
`ServiceFilter(int serviceId)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDescription()`
`int` `getServiceId()`
`java.lang.String` `getSql()`
`java.lang.String` `getTextDescription()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

### serviceId

    protected int serviceId

Constructor Detail

### ServiceFilter

    public ServiceFilter(int serviceId)

Method Detail

### getSql

    public java.lang.String getSql()

  Specified by:
    `getSql` in interface `Filter`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Filter`

### getTextDescription

    public java.lang.String getTextDescription()

  Specified by:
    `getTextDescription` in interface `Filter`

### toString

    public java.lang.String toString()

### getServiceId

    public int getServiceId()

### equals

    public boolean equals(java.lang.Object obj)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.